package com.microsoft.trouterclient;

public class TrouterUtils {
    /**
     * Helper function to replace URL base (protocol + hostname)
     *
     * Useful when converting Trouter Endpoint URL to its client-to-client variant
     * with `ITrouterConnectionInfo.c2cUrlBase`.
     */
    public static String replaceUrlBase(String existingUrl, String newBase) {
        int schemaSepPos = existingUrl.indexOf("://");
        if (schemaSepPos >= 0) {
            int pathSepPos = existingUrl.indexOf('/', schemaSepPos + 3);
            if (pathSepPos >= 0) {
                return (newBase + existingUrl.substring(pathSepPos));
            }
        }
        return "";
    }
}
